# code_R_prep_regions
# zuletzt bearbeitet von frauke
# 221012

# je nachdem wie viele Regionen es sind wird hier vorbereitet wie die Daten dazu gefunden bzw. aufgeteilt werden
# Es gibt zwei Szenario-Parameter: Welches Gebiet wird betrachtet (D, NO, Baltic)? In wie viele Regionen wird Deutschland unterteilt (1, 2, 5, 21)?

# Zuordnung Laender - Regionen

country_reg <- list(c(101:121), 200, 300, 400, 500, 600, 700, 800, 900)

# Wieviele Regionen gibt es ausserhalb Deutschlands?
if (area == "baltic") {
  region_abroad <- 8
  country_list  <- c(1:9)
  }
if (area == "no_de")  {
  region_abroad <- 1
  country_list  <- c(1,9)
  }
if (area == "de")     {
  region_abroad <- 0
  country_list  <- c(1)
  }

# Die Gesamtzahl der Regionen
region_split    <- region_split_de + region_abroad
region_list   	<- vector("list", region_split)

# Die Regionen ausserhalb Deutschlands werden zugeordnet
if (area == "baltic") {region_list[(length(region_list) - 7) : length(region_list)] <- c(2:9)*100}
if (area == "no_de")  {region_list[length(region_list)] <- 9*100}

# Die Regionen in Deutschland werden zugeordnet
if (region_split_de == 1) {
  region_list[[1]]  <- c(101:121)
 }

if (region_split_de == 2) {
  region_list[[1]]  <- c(101,102,103,104,105,113,114,115,119,120,121) # Norddeutschland inklusive Offshore
  region_list[[2]] 	<- c(106,107,108,109,110,111,112,116,117,118) # Sueddeutschland
}

if (region_split_de == 5) {
  region_list[[1]]  <- c(102,105,113,114,115,120,121) # Nordsee und Nord-Westdeutschland
  region_list[[2]] 	<- c(101,103,104,119) # Ostsee und Nord-Ostdeutschland
  region_list[[3]] 	<- c(106,107,108,116) # Rhein / Rhur
  region_list[[4]] 	<- c(109,110,111,112) # Saarland und Oberrhein
  region_list[[5]] 	<- c(117,118) # Bayern ohne Suedwestbayern
}

if (region_split_de == 21) {
  region_list[1:region_split_de] <- c(101:121)
}

if (region_split_de == 21) {
  regions             <- c(c(1:region_split_de)+100, unlist(region_list[region_split_de + 1 : length(region_list)]))
} else {
  regions             <- c(c(1:region_split_de), unlist(region_list[region_split_de + 1 : length(region_list)]))
}

reg_vector <- unlist(region_list)
min_reg <- min(reg_vector)
max_reg <- max(reg_vector)
