#wenn nur das Solarscenario gerechnet werden soll, dann muss das auskommentieren von solar_scenario_nr
#und das setzen des Code-Verzeichnisses setwd() aufgehoben werden


#setwd('C:/PV/Renpass/code_R_baltic')
#solar_scenario_nr <- c(2)


setwd(paste(getwd(),"/solar", sep=""))

require(RMySQL)
#con <- dbConnect("MySQL", user="root", password="user123", dbname="renpass")
con2 <- dbConnect("MySQL", user="root", password="user123", dbname="anlagenregister")
con3 <- dbConnect("MySQL", user="root", password="user123", dbname="strahlungsdaten")
con4 <- dbConnect("MySQL", user="root", password="user123", dbname="solar_parameter")
con_scenario <- dbConnect("MySQL", user="root", password="user123", dbname="scenarios_baltic")

source('solar_variablen.R', local = TRUE)

source('solar_anlagen.R', local = TRUE)

source('solar_schluessel.R', local = TRUE)

source('solar_scenario.R', local = TRUE)

source('solar_repower.R', local = TRUE)

source('solar_module.R', local = TRUE)

source('solar_ausrichtung.R', local = TRUE)

source('solar_degradation.R', local = TRUE)

source('solar_performanceratio.R', local = TRUE)

i3 <- 0
repeat {
  i3 <- i3+1
  if(i3>nrow(location)) break
  Station_select <- paste(location$Abk[i3],Wetterjahr, sep="")
  solardaten <- dbGetQuery(con3, paste("SELECT*FROM ", Station_select, sep=""))
  
  source('solar_sonne.R', local = TRUE)
  
  source('solar_wetterdaten.R', local = TRUE)
  
  source('solar_einstrahlung.R', local = TRUE)
  
  source('solar_temperatur.R', local = TRUE)
  
}

source('solar_einspeisung.R', local = TRUE)

# Beginn der ?bergabe ans Modell

# Umrechnung der Einspeiskurve von kW in MW
solar_kreis <- round(Einspeisung_Kreis_korrigiert/1000,3)

#ORIGINAL: solar_kreis <- 4 * solar_kreis[1: (end_timestep * 4 * energy_factor), ]

#NICHT ORINGINAL ANFANG:
solar_kreis <- 1/energy_factor*solar_kreis[1:end_timestep, ] # Es wird nur der Teil der Matrix ausgewaehlt, fuer den auch im Modell gerechnet wird.
#NICHT ORINGINAL ENDE

# Zuordnung der dpr

kreis_dpr <- dbGetQuery(con_baltic, "SELECT dpr FROM geo_data_district WHERE NUTS3 = '3' AND Regionalschluessel != '5313' ORDER BY Regionalschluessel")

kreis_dpr <- as.numeric(as.character(unlist(kreis_dpr)))

solar_dpr_de <- matrix(0, nrow = end_timestep, ncol = 21)

for (dpr in (1:18)) {
  idx_dpr <- which(kreis_dpr == dpr)
  if (length(idx_dpr) == 1){
    solar_dpr_de[,dpr] <- solar_kreis[,idx_dpr]
  } else {
    solar_dpr_de[,dpr] <- rowSums(solar_kreis[,idx_dpr])
  }
}

# Es kommt eine Matrix mit Zeitschritten in Zeilen und dpr in Spalten aus, also 21 x timesteps: solar_dpr_de

sum(colSums(solar_kreis))/sum(scenariojahr_Kreis)
sum(colSums(solar_kreis))/sum(colSums(scenario_Kreis_Auswahl))

setwd(sub("/solar","",getwd()))

Warning

