# code_R_start
# zuletzt bearbeitet von frauke
# 101012

# DIES IST DAS START-STUECK ZUM SZENARIEN-RECHNEN: Immer das komplette Code-Stueck durchlaufen lassen

#--------------------------------------------------------------------------------------
# vorweg: noch evtl. offenen Datenbankverbindungen schliessen und den workspace leeren 
#--------------------------------------------------------------------------------------
require(RMySQL)
open_cons <- dbListConnections(MySQL())
for(open_con in open_cons) dbDisconnect(open_con)
remove(list = ls())

#----------------------------------
# Einstellungen
#----------------------------------
pfad 			          <- "C:/Users/EUM/Energiesystem" # wo liegt der Ordner renpass auf Deinem Rechner?
system_software 	  <- "windows" # moegliche Einstellungen "linux" "windows" oder "mac"

scenario_nr_vector 	<- c(1001) # welche scenario_nr sollen berechnet werden?
make_figures 		    <- FALSE # sollen direkt im Anschluss Ergebniss-Grafiken produziert werden: TRUE oder FALSE
algorithmus   	    <- "random"   # Optionen: "random", "SA", SA - Simulated Annealing
exchange_stepwidth  <- 100 # hier kann man die Schrittweite, die beim Austausch zwischen zwei Regionen beruecksichtigt wird, in MW einstellen. wenn man mit viel Netz rechnet, kann sie erhoeht werden, um Rechenzeit zu sparen. Fuer verlaessliche Ergebnisse sollte sie jedoch wieder auf 100 gesetzt werden.

#--------------------------------------------
# Begrenzung fossile installierte Kapazitaet
#--------------------------------------------
# wenn man das nicht angeben will: fos_inst <- c(0)
fos_inst <- c(0) # wenn man die installierte Leistung der fossilen Kraftwerke angeben moechte anstatt die Lebensdauer entscheiden zu lasen, hier die installieren MW je fuel reinschreiben in der Reihenfolge
names(fos_inst) <- c(0)
  #c("gas","hard_coal","lignite","oil","refuse","uran")

#-----------------------------------
# Einzelergebnisse
#-----------------------------------
# Ergebnisse fuer einzelne Kraftwerke oder Speicherseen
pp_save   <- c(92044, 92311, 92235, 92149, 92274, 92367, 92314)
# Hier alle (Speicher-)Kraftwerke reinschreiben, zu denen Einzelinformationen gespeicher werden sollen.

pump_save <- c(92535, 92536, 92537, 92516, 92528, 92529, 92530, 92531) 
# Hier alle Pumpen reinschreiben, zu denen Einzelinformationen gespeicher werden sollen.

res_save  <- c(9384, 9383, 9374, 9375, 9373, 9372, 9395, 9391, 9388, 9392) 
# Hier alle Reservoire reinschreiben, zu denen Einzelinformationen gespeicher 
# werden sollen.

#----------------------------
# Berechnung wird aufgerufen
#----------------------------
setwd(paste(pfad,"/renpass/code_R_baltic",sep = "")) # Ordner in dem die Code-Stuecke liegen wird eingestellt, hier nur was aendern wenn der Ordner wo die Code-Stuecke liegen bei Dir nicht code_R_baltic heisst und in renpass liegt
source('code_R_scenario_loop.R') # das naechste Code-Stueck zur Berechnung wird aufgerufen

#-------------------------
# Grafiken werden gemacht
#-------------------------
if(make_figures){source('R_figure_group_1.R')} # Aufruf des Grafik-Code-Stueck falls gewuenscht
rm(make_figures) # Variable make_figures wird entfernt, damit das Grafik-Code-Stueck jetzt auch wieder unabhaengig von der sonstigen Rechnung aufgerufen werden kann
#---------------------
