if(is.na(Degradation_nr_Auswahl)==FALSE & is.na(Module_nr_Auswahl)==FALSE){
  
  idx_Alterungsrate <- which(Degradation$Lueckenfuellen=="Alterungsrate")
  i8 <- 0
  repeat{
    i8 <- i8+1
    if(i8>length(idx_Alterungsrate))break
    Degradation[idx_Alterungsrate[i8],8:ncol(Degradation)] <- NA
    Rate <- if(is.na(Degradation[idx_Alterungsrate[i8],"Alterungsrate"])==TRUE){1-(1-Degradation[idx_Alterungsrate[i8],"Alterung_Prozent"]/100)^(1/Degradation[idx_Alterungsrate[i8],"Alterung_Jahre"])}else Degradation[idx_Alterungsrate[i8],"Alterungsrate"]/100
    i9 <- 0
    repeat{
      i9 <- i9+1
      if(i9>ncol(Degradation)-7)break
      Degradation[idx_Alterungsrate[i8],7+i9] <- (1-(1-Rate)^i9)*100
    }
  }
  idx_fix <- which(Degradation$Lueckenfuellen=="fix")
  i8 <- 0
  repeat{
    i8 <- i8+1
    if(i8>length(idx_fix))break
    Degradation[idx_fix[i8],which(Degradation[idx_fix[i8],]==0)] <- NA
    idx_500 <- which(Degradation[idx_fix[i8],]==500)
    if(length(idx_500)>0){Degradation[idx_fix[i8],idx_500:ncol(Degradation)] <- 100}
    idx_fix_max <- which(Degradation[idx_fix[i8],8:ncol(Degradation)]!="NA" & Degradation[idx_fix[i8],8:ncol(Degradation)]!=0 & Degradation[idx_fix[i8],8:ncol(Degradation)]!=100)+7
    if(length(idx_500)>0){idx_fix_max <- c(idx_fix_max,idx_500)}
    idx_fix_min <- c(8,idx_fix_max[1:(length(idx_fix_max)-1)]+1)
    idx_fix_not <- which(is.na(Degradation[idx_fix[i8],])==TRUE)
    Degradation[idx_fix[i8], idx_fix_not] <- rep(c(Degradation[idx_fix[i8],idx_fix_max]), c(idx_fix_max-idx_fix_min))
  }
  
  idx_steigend <- which(Degradation$Lueckenfuellen=="auf/-absteigend")
  i8 <- 0
  repeat{
    i8 <- i8+1
    if(i8>length(idx_steigend))break
    Degradation[idx_steigend[i8],which(Degradation[idx_steigend[i8],]==0)] <- NA
    idx_500 <- which(Degradation[idx_steigend[i8],]==500)
    if(length(idx_500)>0){Degradation[idx_steigend[i8],idx_500:ncol(Degradation)] <- 100}
    idx_steigend_max <- which(Degradation[idx_steigend[i8],8:ncol(Degradation)]!="NA" & Degradation[idx_steigend[i8],8:ncol(Degradation)]!=0 & Degradation[idx_steigend[i8],8:ncol(Degradation)]!=100)+7
    if(length(idx_500)>0){idx_steigend_max <- c(idx_steigend_max,idx_500)}
    idx_steigend_min <- idx_steigend_max[1:(length(idx_steigend_max)-1)]
    idx_steigend_not <- which(is.na(Degradation[idx_steigend[i8],])==TRUE)
    Degradation[idx_steigend[i8],"Jahr 1"] <- 0
    Steigung_Anfang <- as.numeric(as.vector(c(Degradation[idx_steigend[i8],"Jahr 1"], Degradation[idx_steigend[i8],idx_steigend_min])))
    Steigung_Ende <- as.numeric(as.vector(Degradation[idx_steigend[i8],idx_steigend_max]))
    idx_steigend_min <- c(8,idx_steigend_min+1)
    Steigung <- (Steigung_Ende-Steigung_Anfang)/(idx_steigend_max-idx_steigend_min+1)
    i9 <- 0
    repeat{
      i9 <- i9+1
      if(i9>length(Steigung))break
      if(idx_steigend_min[i9]-(idx_steigend_max[i9]-1)<=0){Degradation[idx_steigend[i8],idx_steigend_min[i9]:(idx_steigend_max[i9]-1)]  <- seq((Steigung_Anfang[i9]+Steigung[i9]), (Steigung_Ende[i9]-Steigung[i9]), Steigung[i9])}
    }
  }
  
  
  i10 <- 0
  repeat{
    i10 <- i10+1
    if(i10>length(Degradation_Typ_nr_Auswahl))break
    Degradation_korrektur_Typ[i10,] <- as.numeric(as.vector((Module[which(Module$Typ_nr==Degradation_Typ_nr_Auswahl[i10]),paste((Scenario_Jahr-Lebensdauer+1):Scenario_Jahr)]/100)*Degradation[which(Module$Typ_nr==Degradation_Typ_nr_Auswahl[i10]), (Lebensdauer:1)+7]))
  }
  Degradation_korrektur[1,] <-  (100-colSums(Degradation_korrektur_Typ))/100
  
  if(sum(colSums(Module[which(Module$Typ_nr==Degradation_Typ_nr_Auswahl),paste((Scenario_Jahr-Lebensdauer+1):Scenario_Jahr)]))/Lebensdauer!=100){
    Warning <- c(Warning,"WARNING")
  }
}


if(is.na(Degradation_nr_Auswahl)==TRUE | is.na(Module_nr_Auswahl)==TRUE){
  Degradation_korrektur[1,paste((Scenario_Jahr-Lebensdauer+1):Scenario_Jahr)] <- 1
}


