# solar_scenario.R
# zuletzt geaendert von clemens
# 171012

# Fuellen der Tabelle scenario

# Fuellen der 1.Spalte: Bestand_scenario

# Abfrage ob eine alternative Datenquelle zu Energymap genutzt werden soll
# Fuellen der 1.Spalte mit den Bestandsdaten bis zum Scenariobeginn
if(is.na(Anlagen_Alternativ_Auswahl)==FALSE & Anlagen_Alternativ_Auswahl!=""){  
  rownames(Anlagen_Alternativ) <- Anlagen_Alternativ$Jahr
  scenario[paste(Startjahr:(Scenario_Startjahr-1)),1]  <- Anlagen_Alternativ[paste(Startjahr:(Scenario_Startjahr-1)),paste(Anlagen_Alternativ_Auswahl)]
  }

# Negative Abfrage ob eine alternative Datenquelle genutzt werden soll, dann Energymap
# Fuellen der 1.Spalte mit den Bestandsdaten bis zum Scenariobeginn
if(is.na(Anlagen_Alternativ_Auswahl)==TRUE | Anlagen_Alternativ_Auswahl==""){
  scenario[1:(Scenario_Startjahr-Startjahr),1] <- rowSums(Leistung_kum[1:(Scenario_Startjahr-Startjahr),])/1000
  }

# Fuellen der 1.Spalte mit den ausgewaehlten Scenario-Schritten
re_scenario_data <- re_scenario_data[which(re_scenario_data$scenario_name==scenario_Auswahl),]
scenario[paste(re_scenario_data$scenario_year),1] <- re_scenario_data$solar*1000

# Fuellen der 2.Spalte: scenario_neu
# Berechnung der jaehrlich neu installierten Leistung (ohne Repowering)
idx_year_not <- which(is.na(scenario[,1])==TRUE)
idx_year_min <- which(is.na(scenario[idx_year_not-1,1])==FALSE)

####################hier geändert
#ORIGINAL: idx_year_max <- which(is.na(scenario[idx_year_not+1,1])==FALSE)

#NICHT ORIGINAL ANFANG:
#if(length(idx_year_min==1)){
#  idx_year_max <- idx_year_min
#}else{
#  idx_year_max <- which(is.na(scenario[idx_year_not+1,1])==FALSE)
#}

idx_year_max <- which(is.na(scenario[idx_year_not+1,1])==FALSE)
#NICHT ORIGINAL ENDE

a <- 2:(nrow(scenario)-1)
scenario[a,2] <- scenario[a,1]-scenario[a-1,1]
scenario[idx_year_not,2] <- rep((scenario[idx_year_not[idx_year_max]+1,1]-scenario[idx_year_not[idx_year_min]-1,1])/(idx_year_max-idx_year_min+2), c(idx_year_max-idx_year_min+1))        
scenario[idx_year_not[idx_year_max]+1,2] <- scenario[idx_year_not[idx_year_max],2]

# Fuellen der 3.Spalte: Leistung_Summe
# Berechnung der kummulierten Leistung (ohne Beruecksichtigung der Lebensdauer)
scenario[2:nrow(scenario),3] <- scenario[1,1]+cumsum(scenario[2:nrow(scenario),2])
scenario[1,2:3] <- scenario[1,1]

# Falls kein Repowering gerechnet wird
scenario[,"RePower"] <- 0
# Fuellen der 5.Spalte der Tabelle scenario: Leistung_neu
# Leistung_neu: Summe der neu zu installierenden Leistung je Scenariojahr (incl. Repowering)
scenario[,"Leistung_neu"] <- scenario[,"scenario_neu"] + scenario[,"RePower"]
# Verteilung ueber den errechneten Schluessel des Jahres
scenario_Kreis[paste(Startjahr:Endjahr),paste(Regionalschluessel)] <- scenario[paste(Startjahr:Endjahr),"Leistung_neu"]*Schluessel_scenario[paste(Startjahr:Endjahr),paste(Regionalschluessel)]
# Zu instalierende Leistung im Betrachtungszeitraum (Lebensdauer der Module)
scenario_Kreis_Auswahl <- scenario_Kreis[paste((Scenario_Jahr-Lebensdauer+1):Scenario_Jahr),paste(Regionalschluessel)]

