# code_R_biomass
# zuletzt bearbeitet von gesine
# am 150413

biomass         <- scenario_re$biomass * 1000 
biomass_power   <- biomass * bio_flex
biomass_energy  <- biomass * 8760

biomass_nr      <- c(1:region_split) * 10000 + 3001

bio_available   <- matrix(0, nrow = end_timestep +1, ncol = 21 + region_abroad)
bio_reg         <- matrix(0, nrow = end_timestep, ncol = region_split_de + region_abroad)

#----------------------------
  # Verteilung der Biomasse auf die Regionen innerhalb Deutschlands
  bio_distribution        <- dbGetQuery(con_baltic, "SELECT capacity FROM ee_distribution WHERE technology = 'biomass'")
  bio_distribution        <- as.numeric(as.character(unlist(bio_distribution)))
  bio_share               <- bio_distribution/sum(bio_distribution)
  bio_dpr_de                <- rep.int(0, 21)  
  bio_energy_dpr_de         <- rep.int(0, 21)
  bio_dpr_de[1:18]          <- biomass_power[1] %*% t(bio_share) 
  bio_energy_dpr_de[1:18]   <- biomass_energy[1] %*% t(bio_share)
  bio_nr_de                 <- c(1:21)*1000 + 301
  
  if(length(country_list)==1){
    biomass_power <- bio_dpr_de
    biomass_energy <- bio_energy_dpr_de
    biomass_nr <- bio_nr_de
  }else{
    biomass_power           <- c(bio_dpr_de, biomass_power[ 2:length(country_list)])
    biomass_energy          <- c(bio_energy_dpr_de, biomass_energy[ 2:length(country_list)])
    biomass_nr              <- c(bio_nr_de, biomass_nr[ 2:length(country_list)])
  }

if(length(country_list)==1){
  bio_regions <- c(1:21)+100  
}else{
  bio_regions       <- c(c(1:21)+100 , country_list[2:length(country_list)]*100)
}

# ---------------

bio_available[start_timestep,] <- biomass_energy

