# code_R_bmo_cut
# zuletzt bearbeitet von clemens
# 231012

s         <- split(pp_data, pp_data$fuel) # nach fuel aufteilen
fos_suit  <- fos_inst[match(names(s), names(fos_inst))] 
# die gewuenschten installierten Leistungen in die gleiche Technologie-Reihenfolge bringen
fos_help  <- which(fos_suit != 0) # Technologie 0MW -> alle Kraftwerke raus!

pp_data_cut <- s[fos_help] # das wird die abgekuerzte Ergebnis-Liste
reg_vec_add <- reg_vector[c(reg_vector < 122)]
reg_vec_add <- reg_vec_add[c(reg_vec_add != 9)] - 100

for(i in fos_help){ # Schleif ueber die Technologien fuer die eine installierte Leistung angegeben ist
  
  pp_help <- s[[i]] # die Matrix mit der entsprechenden fuel
  pp_sort <- pp_help[order(pp_help$Cmar),] # nach Grenzkosten sortieren
  idx     <- f_marginal_idx(fos_inst[i],cumsum(pp_sort$pinst),pp_sort$Cmar) 
  # die marginal function auf das problem anwenden um den index des kraftwerks dieser technologie rauszufinden das gerade noch am netz bleiben darf
  
  if(idx[4] > 0){ # wenn es over demand gibt, bedeutet das es fehlen kraftwerke um auf die gewuenschte installierte Leistung zu kommen
    sum_demand_reg  <- colSums(demand_reg[,reg_vec_add]) # verteilung der nachfrage
    share_demand    <- sum_demand_reg / sum(sum_demand_reg)
    add_pp_nr       <- as.numeric(paste(reg_vec_add,99-i, sep = "")) # kraftwerksnummer ist die regionsnummer gefolgt von 99-i, das minus i ist noetig damit es keine dopplungen gibt
    
    add_type      <- rep("xx",length(reg_vec_add)) # ist spaeter hoffentlich unwichtig
    add_pinst_pre <- share_demand * idx[4] # die over demand aufgeteilt auf die regionen im verhaeltnis der aufsummierten nachfragen der regionen
    
    region_list
    dpr_in_reg <- sapply(region_list, function(x) length(x))
    
    if(area == "no_de"){dpr_in_reg <- dpr_in_reg[-c(length(dpr_in_reg))]}
    
    add_pinst_pre_2 <- add_pinst_pre / dpr_in_reg
    add_pinst       <- rep(add_pinst_pre_2, dpr_in_reg)
    add_reg         <- reg_vec_add + 100 # jede region mit nachfrage bekommt eins
    add_fuel        <- names(fos_help[i])
    add_age         <- "2015"
    add_Cmar        <- rep(mean(pp_sort$Cmar),length(reg_vec_add))
    add_co2         <- rep(mean(pp_sort$co2),length(reg_vec_add))
    add_pp          <- data.frame(add_pp_nr, add_type, add_pinst, add_reg, add_fuel, add_age, add_Cmar, add_co2)
    
    # gleichmaessig ueber die regionen verteilt die installierte Leistung
    colnames(add_pp) <- c("pp_nr","type","pinst","reg","fuel","age","Cmar","co2")
    add_pp           <- add_pp[add_pp$pinst != 0,]
    pp_sort          <- rbind(pp_sort, add_pp)# wenn zu wenig Kraftwerke installiert sind dieses fuels
    pp_data_cut[[i]] <- NULL
    pp_data_cut[[i]] <- pp_sort
  }else{  
    # wird ein imaginaeres Kraftwerk der fehlenden Groesse hinten an die Merit Order angehaengt
    pp_data_cut[[i]] <- NULL
    pp_data_cut[[i]] <- pp_sort[1:idx[1],] # In die Ergebnis-Matrix einfuellen, reduziert um die teuersten Kraftwerke die ueber die gewuenschte installierte Leistung hinausgehen
  }
}  

pp_data <- do.call("rbind",pp_data_cut) # die Listenteile wieder zusammenschmeissen
row.names(pp_data) <- NULL # und die seltsamen Zeilennamen entfernen

