
idx_Auswahl <- which(Ausrichtung$Ausrichtung_nr %in% Ausrichtung_nr_Auswahl ==TRUE)
Ausrichtung <- Ausrichtung[idx_Auswahl,]
idx_repl <- which(Ausrichtung$Aktion=="repl")
idx_repl_check <- which(paste(Ausrichtung$Neigungswinkel,Ausrichtung$Azimut) %in% paste(Ausrichtung$Neigungswinkel[idx_repl],Ausrichtung$Azimut[idx_repl]))
idx_repl_select <- idx_repl_check[which(!idx_repl_check %in% idx_repl)]
Ausrichtung <- Ausrichtung[which(Ausrichtung$Anteil>0 & !idx_Auswahl %in% idx_repl_select == TRUE),]
idx_Anteil <- which(Ausrichtung$Anteil==999)
Ausrichtung$Anteil[idx_Anteil] <- 100 - (sum(Ausrichtung$Anteil)-999)

Station_uebersicht <- matrix(nrow=length(WOZ), ncol=(3+nrow(Ausrichtung))*length(location$Abk))
Station_Direkt_uebersicht <- matrix(nrow=length(WOZ), ncol=(3+nrow(Ausrichtung))*length(location$Abk))
Station_Diffus_uebersicht <- matrix(nrow=length(WOZ), ncol=(3+nrow(Ausrichtung))*length(location$Abk))

Station_uebersicht_colnames <- ""
i5 <- 0
repeat{
  i5 <- i5+1
  if(i5>length(location$Abk))break
  colnames_select <- paste(location$Abk[i5],"_", c("AZ0NW0", "Anteil", "MEZ", paste("AZ", Ausrichtung$Azimut,"NW",Ausrichtung$Neigungswinkel, sep="")), sep="")
  Station_uebersicht_colnames <- c(Station_uebersicht_colnames, colnames_select)
}
Station_uebersicht_colnames <- Station_uebersicht_colnames[2:length(Station_uebersicht_colnames)]
colnames(Station_uebersicht) <- Station_uebersicht_colnames
colnames(Station_Direkt_uebersicht) <- Station_uebersicht_colnames
colnames(Station_Diffus_uebersicht) <- Station_uebersicht_colnames

uebersicht_Einstrahlung <- matrix(nrow=length(location$Abk), ncol=nrow(Ausrichtung)+3)
colnames(uebersicht_Einstrahlung) <- c("AZ0NW0", "Anteil", "MEZ", paste("AZ",Ausrichtung$Azimut,"NW",Ausrichtung$Neigungswinkel, sep=""))
rownames(uebersicht_Einstrahlung) <- location$Abk

uebersicht_Einstrahlung_Direkt <- matrix(nrow=length(location$Abk), ncol=nrow(Ausrichtung)+3)
colnames(uebersicht_Einstrahlung_Direkt) <- c("AZ0NW0", "Anteil", "MEZ", paste("AZ",Ausrichtung$Azimut,"NW",Ausrichtung$Neigungswinkel, sep=""))
rownames(uebersicht_Einstrahlung_Direkt) <- location$Abk

uebersicht_Einstrahlung_Diffus <- matrix(nrow=length(location$Abk), ncol=nrow(Ausrichtung)+3)
colnames(uebersicht_Einstrahlung_Diffus) <- c("AZ0NW0", "Anteil", "MEZ", paste("AZ",Ausrichtung$Azimut,"NW",Ausrichtung$Neigungswinkel, sep=""))
rownames(uebersicht_Einstrahlung_Diffus) <- location$Abk
