if(is.na(Anlagenersatz)==FALSE){
# Berechnung der Anlagen die in den Jahren repowered werden muessen zur Erreichung der Gesamtleistung im Scenariojahr
# Verteilung ueber den errechneten Schluessel des Jahres an dem das repowering stattfindet
# Fuellen der 4.Spalte der Tabelle scenario: RePower
if(Anlagenersatz=="distribution"){
  i7 <- 0
  scenario[paste(Startjahr:(Startjahr+Lebensdauer-1)),"RePower"] <- 0
  repeat{
    i7 <- i7+1
    if(i7>floor((Endjahr - Startjahr)/Lebensdauer)-1)break
    scenario[paste((Startjahr+Lebensdauer*i7):(Startjahr+Lebensdauer*(i7+1)-1)),"RePower"] <- scenario[paste((Startjahr+Lebensdauer*(i7-1)):(Startjahr+Lebensdauer*i7-1)),"scenario_neu"] + scenario[paste((Startjahr+Lebensdauer*(i7-1)):(Startjahr+Lebensdauer*i7-1)),"RePower"]
  }
  scenario[paste((Startjahr+Lebensdauer*i7):Endjahr),"RePower"] <- scenario[paste((Startjahr+Lebensdauer*(i7-1)):(Startjahr+Lebensdauer*(i7-1)+(Endjahr-(Startjahr+Lebensdauer*i7)))),"scenario_neu"] + scenario[paste((Startjahr+Lebensdauer*(i7-1)):(Startjahr+Lebensdauer*(i7-1)+(Endjahr-(Startjahr+Lebensdauer*i7)))),"RePower"]

# Fuellen der 5.Spalte der Tabelle scenario: Leistung_neu
# Leistung_neu: Summe der neu zu installierenden Leistung je Scenariojahr (incl. Repowering)
  scenario[,"Leistung_neu"] <- scenario[,"scenario_neu"] + scenario[,"RePower"]
# Verteilung ueber den errechneten Schluessel des Jahres
  scenario_Kreis[paste(Startjahr:Endjahr),paste(Regionalschluessel)] <- scenario[paste(Startjahr:Endjahr),"Leistung_neu"]*Schluessel_scenario[paste(Startjahr:Endjahr),paste(Regionalschluessel)]
  
}

#Verteilung an dem Standort an dem die Anlagen Ausserbetrieb gegangen sind
# Fuellen der Tabelle RePower_Kreis
# 4.Spalte der Tabelle scenario: Repower bleibt 0
if(Anlagenersatz=="location"){
  i7 <- 0
  RePower_Kreis[paste(Startjahr:(Startjahr+Lebensdauer-1)),] <- 0
  repeat{
    i7 <- i7+1
    if(i7>floor((Endjahr - Startjahr)/Lebensdauer)-1)break
    RePower_Kreis[paste((Startjahr+Lebensdauer*i7):(Startjahr+Lebensdauer*(i7+1)-1)),paste(Regionalschluessel)] <- scenario_Kreis[paste((Startjahr+Lebensdauer*(i7-1)):(Startjahr+Lebensdauer*i7-1)),paste(Regionalschluessel)] + RePower_Kreis[paste((Startjahr+Lebensdauer*(i7-1)):(Startjahr+Lebensdauer*i7-1)),paste(Regionalschluessel)]
  }
  RePower_Kreis[paste((Startjahr+Lebensdauer*i7):Endjahr),paste(Regionalschluessel)] <- scenario_Kreis[paste((Startjahr+Lebensdauer*(i7-1)):(Startjahr+Lebensdauer*(i7-1)+(Endjahr-(Startjahr+Lebensdauer*i7)))),paste(Regionalschluessel)] + RePower_Kreis[paste((Startjahr+Lebensdauer*(i7-1)):(Startjahr+Lebensdauer*(i7-1)+(Endjahr-(Startjahr+Lebensdauer*i7)))),paste(Regionalschluessel)]
#Summe der neu zu installierenden Leistung je Scenariojahr und Kreis (incl. Repowering)
  scenario_Kreis[paste(Startjahr:Endjahr),paste(Regionalschluessel)] <- scenario_Kreis[paste(Startjahr:Endjahr),paste(Regionalschluessel)] + RePower_Kreis[paste(Startjahr:Endjahr),paste(Regionalschluessel)]
}
}


# Zu instalierende Leistung im Betrachtungszeitraum (Lebensdauer der Module)
scenario_Kreis_Auswahl <- scenario_Kreis[paste((Scenario_Jahr-Lebensdauer+1):Scenario_Jahr),paste(Regionalschluessel)]

