G <- solardaten$G
D <- solardaten$D
Temperatur <- solardaten$Tl
Temperatur[which(Temperatur=="NA")] <- NA
Temperatur <- as.numeric(as.character(Temperatur))/10


D <- ifelse(D<999 & D>=500, D-500, D)
G <- ifelse(G<999 & G>=500, G-500, G)

idx_999 <- which(D==999)
idx_minus <- idx_999-1
idx_minus_select <- which(idx_minus<1)
idx_minus[idx_minus_select] <- idx_minus[idx_minus_select]+length(D)
idx_plus <- idx_999+1
idx_plus_select <- which(idx_plus>length(D))
idx_plus[idx_plus_select] <- idx_plus[idx_plus_select]-length(D)
idx_999_check <- which(D[idx_minus]!=999 & D[idx_plus]!=999)
idx_999_select <- idx_999[idx_999_check]
idx_select_minus <- idx_minus[idx_999_check]
idx_select_plus <- idx_plus[idx_999_check]
D[idx_999_select] <- (D[idx_select_minus]+D[idx_select_plus])/2

idx_999 <- which(G==999)
idx_minus <- idx_999-1
idx_minus_select <- which(idx_minus<1)
idx_minus[idx_minus_select] <- idx_minus[idx_minus_select]+length(G)
idx_plus <- idx_999+1
idx_plus_select <- which(idx_plus>length(G))
idx_plus[idx_plus_select] <- idx_plus[idx_plus_select]-length(G)
idx_999_check <- which(G[idx_minus]!=999 & G[idx_plus]!=999)
idx_999_select <- idx_999[idx_999_check]
idx_select_minus <- idx_minus[idx_999_check]
idx_select_plus <- idx_plus[idx_999_check]
G[idx_999_select] <- (G[idx_select_minus]+G[idx_select_plus])/2

idx_NA <- which(is.na(Temperatur)==TRUE)
Temperatur[idx_NA] <- 999
idx_999 <- which(Temperatur==999)
idx_minus <- idx_999-1
idx_minus_select <- which(idx_minus<1)
idx_minus[idx_minus_select] <- idx_minus[idx_minus_select]+length(Temperatur)
idx_plus <- idx_999+1
idx_plus_select <- which(idx_plus>length(Temperatur))
idx_plus[idx_plus_select] <- idx_plus[idx_plus_select]-length(Temperatur)
idx_999_check <- which(Temperatur[idx_minus]!=999 & Temperatur[idx_plus]!=999)
idx_999_select <- idx_999[idx_999_check]
idx_select_minus <- idx_minus[idx_999_check]
idx_select_plus <- idx_plus[idx_999_check]
Temperatur[idx_999_select] <- (Temperatur[idx_select_minus]+Temperatur[idx_select_plus])/2

i1 <- 0
repeat {
  idx_999 <- which(D==999)
  if(length(idx_999)==0) break
  i1 <- i1+1
  idx_minus <- idx_999-(24*i1)
  idx_minus_select <- which(idx_minus<1)
  idx_minus[idx_minus_select] <- idx_minus[idx_minus_select]+length(D)
  idx_plus <- idx_999+(24*i1)
  idx_plus_select <- which(idx_plus>length(D))
  idx_plus[idx_plus_select] <- idx_plus[idx_plus_select]-length(D)
  idx_999_check <- which(D[idx_minus]!=999 & D[idx_plus]!=999)
  idx_999_select <- idx_999[idx_999_check]
  idx_select_minus <- idx_minus[idx_999_check]
  idx_select_plus <- idx_plus[idx_999_check]
  D[idx_999_select] <- (D[idx_select_minus]+D[idx_select_plus])/2
}
Korrektur_GDT[2,i3] <- i1


i1 <- 0
repeat {
  idx_999 <- which(G==999)
  if(length(idx_999)==0) break
  i1 <- i1+1
  idx_minus <- idx_999-(24*i1)
  idx_minus_select <- which(idx_minus<1)
  idx_minus[idx_minus_select] <- idx_minus[idx_minus_select]+length(G)
  idx_plus <- idx_999+(24*i1)
  idx_plus_select <- which(idx_plus>length(G))
  idx_plus[idx_plus_select] <- idx_plus[idx_plus_select]-length(G)
  idx_999_check <- which(G[idx_minus]!=999 & G[idx_plus]!=999)
  idx_999_select <- idx_999[idx_999_check]
  idx_select_minus <- idx_minus[idx_999_check]
  idx_select_plus <- idx_plus[idx_999_check]
  G[idx_999_select] <- (G[idx_select_minus]+G[idx_select_plus])/2
}
G[which((D==0 & G>0) | (G==0 & D>0))] <- 0
D[which((D==0 & G>0) | (G==0 & D>0))] <- 0
Korrektur_GDT[1,i3] <- i1
idx_DzuG <- which(D>G)
D[idx_DzuG] <- G[idx_DzuG]
Korrektur_GDT[4,i3] <- length(idx_DzuG)

i1 <- 0
repeat {
  idx_999 <- which(Temperatur==999)
  if(length(idx_999)==0) break
  i1 <- i1+1
  idx_minus <- idx_999-(24*i1)
  idx_minus_select <- which(idx_minus<1)
  idx_minus[idx_minus_select] <- idx_minus[idx_minus_select]+length(Temperatur)
  idx_plus <- idx_999+(24*i1)
  idx_plus_select <- which(idx_plus>length(Temperatur))
  idx_plus[idx_plus_select] <- idx_plus[idx_plus_select]-length(Temperatur)
  idx_999_check <- which(Temperatur[idx_minus]!=999 & Temperatur[idx_plus]!=999)
  idx_999_select <- idx_999[idx_999_check]
  idx_select_minus <- idx_minus[idx_999_check]
  idx_select_plus <- idx_plus[idx_999_check]
  Temperatur[idx_999_select] <- (Temperatur[idx_select_minus]+Temperatur[idx_select_plus])/2
}
Korrektur_GDT[3,i3] <- i1

if(quater_select=="yes"){
  G1 <- G/Stdinterval
  a <- c(2:length(G),1)
  b <- c(length(G),1:(length(G)-1))
  G2 <- (G1+G1[a])/2
  G3a <- (G2[b]+G1)/2
  G3b <- (G2+G1)/2
  G4a <- (G2[b]+G3a)/2
  G4b <- (G1+G3a)/2
  G4c <- (G1+G3b)/2
  G4d <- (G2+G3b)/2
  c <- seq(1, length(WOZ), by=Stdinterval)
  G_neu <- matrix(nrow=length(WOZ),ncol=1)
  G_neu[c] <- G4a
  G_neu[c+1] <- G4b
  G_neu[c+2] <- G4c
  G_neu[c+3] <- G4d
  #Test3 <- matrix(c(WOZ,SW,G_neu), ncol=3)
  #Test2 <- matrix(c(G,G1,G2,G3a,G3b,G4a, G4b, G4c, G4d), ncol=9)
  G_neu[which(SW<=0)] <- 0
  G_neu_sum <- rowSums(matrix(G_neu, ncol=4, byrow=TRUE))
  G_neu_korrektur <- matrix(nrow=length(G),ncol=1)
  idx_G_neu_sum <- which(G_neu_sum !=0)
  G_neu_korrektur[idx_G_neu_sum] <- G[idx_G_neu_sum]/G_neu_sum[idx_G_neu_sum]
  G_neu_korrektur[which(is.na(G_neu_korrektur)==TRUE)] <- 0
  G_neu_korrektur <- rep(G_neu_korrektur, each=Stdinterval)
  G_neu <- G_neu*G_neu_korrektur
  D_Prozent <- matrix(nrow=length(D),ncol=1)
  idx_D <- which(D != 0)
  D_Prozent[idx_D] <- D[idx_D]/G[idx_D]
  D_Prozent[which(is.na(D_Prozent)==TRUE)] <- 0
  D_Prozent <- rep(D_Prozent, each=Stdinterval)
  D_neu <- G_neu*D_Prozent
  Temperatur <- rep(Temperatur, each=Stdinterval)
}
#D_neu_test <- rowSums(matrix(D_neu, ncol=4, byrow=TRUE))
#idx_D_test <- which(D_neu_test!=D)
#D_test <- matrix(c(D_neu_test[idx_D_test], D[idx_D_test]), ncol=2)
#G_neu_test <- rowSums(matrix(G_neu, ncol=4, byrow=TRUE))
#idx_G_test <- which(G_neu_test!=G)
#G_test <- matrix(c(G_neu_test[idx_G_test], G[idx_G_test]), ncol=2)

G <- if(quater_select=="yes"){G_neu * 0.002777}else G * 0.002777
D <- if(quater_select=="yes"){D_neu * 0.002777}else D * 0.002777
